%add_findreq_skiplist */AnyEvent/Filesys/Notify/Role/FSEvents.pm
%add_findreq_skiplist */AnyEvent/Filesys/Notify/Role/KQueue.pm
%filter_from_requires /^perl(Mac.FSEvents.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Carp.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Exporter.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Linux/Inotify2.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(MooX/late.pm) perl(Path/Iterator/Rule.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Without/Module.pm) perl(Try/Tiny.pm) perl(autodie.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name AnyEvent-Filesys-Notify
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.23
Release: alt1
Summary: An AnyEvent compatible module to monitor files/directories for changes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGRIMES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a cross platform interface to monitor files and
directories within an the AnyEvent manpage event loop. The heavy lifting is done by
the Linux::INotify2 manpage or the Mac::FSEvents manpage on their respective O/S. A fallback
which scans the directories at regular intervals is include for other systems.
See the WATCHER IMPLEMENTATIONS entry elsewhere in this document for more on the backends.

Events are passed to the callback (specified as a CodeRef to `cb' in the
constructor) in the form of the AnyEvent::Filesys::Notify::Event manpages.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.md TODO
%perl_vendor_privlib/A*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- initial import by package builder

